Maude> ==========================================
rewrite in GEO-INIT : {scenario-2-807} .
rewrites: 802224 in 2533ms cpu (2534ms real) (316664 rewrites/second)
result State: {
  depositionalContact((16,19) :: ((3,16) :: ((2,3) :: ((1,2) :: ((0,1) :: nil))))) 
  ageComparison(
    younger(timeOf(Fault,3),timeOf(Fault,0)) :: 
    younger(timeOf(Fault,3),timeOf(Fault,1)) :: 
    younger(timeOf(Fault,3),timeOf(Fault,2)) :: 
    sameAge(timeOf(Fault,0),timeOf(Fault,1)) :: 
    sameAge(timeOf(Fault,0),timeOf(Fault,2)) :: 
    sameAge(timeOf(Fault,1),timeOf(Fault,0)) :: 
    sameAge(timeOf(Fault,1),timeOf(Fault,2)) :: 
    sameAge(timeOf(Fault,2),timeOf(Fault,0)) :: 
    sameAge(timeOf(Fault,2),timeOf(Fault,1)) :: 
    younger(timeOf(Fault,3),timeOf(Migration)) :: 
    younger(timeOf(Migration),timeOf(Fault,0)) :: 
    younger(timeOf(Migration),timeOf(Fault,1)) :: 
    younger(timeOf(Migration),timeOf(Fault,2))) 
  history("There is fault-dependent trap-formation for GeoUnit 14 by #topSeal and #sealingFault. Besides, GeoUnit 14 is permeable and porous." ::
	"There is fault-dependent trap-formation for GeoUnit 5 by #topSeal and #sealingFault. Besides, GeoUnit 5 is permeable and porous." ::
	"There is fault-dependent trap-formation for GeoUnit 11 by #topSeal and #lateralSeal formed completely by shale. Besides, GeoUnit 11 is permeable and porous." ::
	"There is no trap-formation for GeoUnit 8 because Fault 1 is non-sealing and neighboring GeoUnit 11 is permeable and porous. Even though GeoUnit 8 is permeable and porous." ::
	"oil&gas was generated by Kerogen Type II in GeoUnit 4" ::
	"pathway formation from GeoUnit 4 to GeoUnit 5 through rocks in vertical contact" ::
	"oil&gas migrated through rocks in-contact from GeoUnit 4 to GeoUnit 5 and there was fill-to-Max-closure fault-dependent accumulation in GeoUnit 5") 
  < GeoUnit | Ocnt: 20 > 
  < Hydrocarbon | Ocnt: 1 > 
  < Fault | Ocnt: 4 > 
  accumulation(5, true) 
  accumulation(8, false) 
  accumulation(11, false) 
  accumulation(14, false) 
  < Pathways | Pathways: (4,5) :: nil,Ocnt: 1 > 
  < 0 : Hydrocarbon | HType: "oil&gas" > 
  < 0 : Pathways | PType: incontact(4, 5) Used: true > 
  < 0 : Fault | FType: normalfault,Filling: sealing,InContactWith: (4,1,dippingAway,hangingWall,0) :: ((5,2,dippingAway,hangingWall,7) :: ((6,3,dippingAway,hangingWall,8) :: ((17,16,dippingAway,hangingWall,9) :: ((0,0,dippingTowards,footWall,4) :: ((7,1,dippingTowards,footWall,5) :: ((8,2,dippingTowards,footWall,6) :: ((9,3,dippingTowards,footWall,17) :: ((17,16,dippingAway,hangingWall,17) :: ((0,0,dippingTowards,footWall,0) :: nil))))))))) > 
  < 1 : Fault | FType: normalfault,Filling: non-sealing,InContactWith: (7,1,dippingAway,hangingWall,0) :: ((7,1,dippingAway,hangingWall,10) :: ((8,2,dippingAway,hangingWall,10) :: ((8,2,dippingAway,hangingWall,11) :: ((9,3,dippingAway,hangingWall,11) :: ((9,3,dippingAway,hangingWall,12) :: ((17,16,dippingAway,hangingWall,12) :: ((0,0,dippingTowards,footWall,7) :: ((10,1,dippingTowards,footWall,7) :: ((10,1,dippingTowards,footWall,8) :: ((11,2,dippingTowards,footWall,8) :: ((11,2,dippingTowards,footWall,9) :: ((12,3,dippingTowards,footWall,9) :: ((12,3,dippingTowards,footWall,17) :: ((17,16,dippingAway,hangingWall,17) :: ((0,0,dippingTowards,footWall,0) :: nil))))))))))))))) > 
  < 2 : Fault | FType: normalfault,Filling: non-sealing,InContactWith: (10,1,dippingAway,hangingWall,0) :: ((11,2,dippingAway,hangingWall,13) :: ((12,3,dippingAway,hangingWall,14) :: ((17,16,dippingAway,hangingWall,15) :: ((0,0,dippingTowards,footWall,10) :: ((13,1,dippingTowards,footWall,11) :: ((14,2,dippingTowards,footWall,12) :: ((15,3,dippingTowards,footWall,17) :: ((17,16,dippingAway,hangingWall,17) :: ((0,0,dippingTowards,footWall,0) :: nil))))))))) > 
  < 3 : Fault | FType: normalfault,Filling: sealing,InContactWith: (13,1,dippingAway,hangingWall,0) :: ((14,2,dippingAway,hangingWall,0) :: ((15,3,dippingAway,hangingWall,0) :: ((17,16,dippingAway,hangingWall,0) :: ((17,16,dippingAway,hangingWall,18) :: ((19,19,dippingAway,hangingWall,18) :: ((19,19,dippingAway,hangingWall,19) :: ((0,0,dippingAway,hangingWall,0) :: ((0,0,dippingAway,hangingWall,13) :: ((0,0,dippingAway,hangingWall,14) :: ((0,0,dippingAway,hangingWall,15) :: ((0,0,dippingAway,hangingWall,17) :: ((0,0,dippingAway,hangingWall,18) :: nil)))))))))))) > 
  trapformation(5, faultDependent-sealing, fillToMaxClosure, 6 :: (0 :: nil), timeOf(Fault,0)) 
  trapformation(8, none, none, nil, incomparable) 
  trapformation(11, faultDependent-nonSealing, fillToMaxClosure, 12 :: (13 :: nil), timeOf(Fault,2)) 
  trapformation(14, faultDependent-sealing, fillToMaxClosure, 15 :: (3 :: nil), timeOf(Fault,3)) 
  < 0 : GeoUnit | GeoUnit: 0,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 18 :: (17 :: (13 :: (10 :: (7 :: (4 :: nil))))),KerogenType: "none",Hydrocarbon: null > 
  < 4 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 5 :: (0 :: nil),KerogenType: "none",Hydrocarbon: 0 > 
  < 5 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: permeable,Porosity: porous,SubmarineFan: lobe,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 6 :: (4 :: nil),KerogenType: "none",Hydrocarbon: 0 > 
  < 6 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (5 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 7 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 8 :: (0 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 8 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: permeable,Porosity: porous,SubmarineFan: lobe,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 9 :: (7 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 9 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (8 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 10 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 11 :: (0 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 11 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: permeable,Porosity: porous,SubmarineFan: lobe,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 12 :: (10 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 12 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (11 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 13 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 14 :: (0 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 14 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: permeable,Porosity: porous,SubmarineFan: lobe,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 13 :: (15 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 15 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (14 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 17 : GeoUnit | GeoUnit: 16,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 19 :: (18 :: (15 :: (12 :: (9 :: (6 :: (0 :: nil)))))),KerogenType: "none",Hydrocarbon: null > 
  < 18 : GeoUnit | GeoUnit: 16,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 19 :: (17 :: (0 :: nil)),KerogenType: "none",Hydrocarbon: null > 
  < 19 : GeoUnit | GeoUnit: 19,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 18 :: (17 :: nil),KerogenType: "none",Hydrocarbon: null >}
Maude> Bye.
